{
  "compilerOptions": {
    "target": "ES2022",
    "lib": ["ES2023"],
    "module": "ESNext",
    "skipLibCheck": true,

    /* Bundler mode */
    "moduleResolution": "bundler",
    "allowImportingTsExtensions": true,
    "isolatedModules": true,
    "moduleDetection": "force",

    /* Composite for Project References */
    "composite": true,

    /* Emit declarations */
    "declaration": true,
    "declarationMap": true,
    "outDir": "dist/node"
  },
  "include": ["vite.config.ts"]
}
